summaryrefslogtreecommitdiffstats
path: root/test/testerror.sh.in
diff options
context:
space:
mode:
authorDana Robinson <derobins@hdfgroup.org>2021-05-07 02:48:58 (GMT)
committerDana Robinson <derobins@hdfgroup.org>2021-05-07 02:48:58 (GMT)
commit7a5b440fa89538b94088cc89a1188aef27033e74 (patch)
tree2ee57d411d75cf7b74595722a5653e0842e6db68 /test/testerror.sh.in
parentf2cb86499efa2fe6f44ca2f4e93ea62e952d0fb0 (diff)
downloadhdf5-7a5b440fa89538b94088cc89a1188aef27033e74.zip
hdf5-7a5b440fa89538b94088cc89a1188aef27033e74.tar.gz
hdf5-7a5b440fa89538b94088cc89a1188aef27033e74.tar.bz2
Brings H5Z and many test changes from develop
Diffstat (limited to 'test/testerror.sh.in')
-rw-r--r--test/testerror.sh.in6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/testerror.sh.in b/test/testerror.sh.in
index d284355..4fb2a81 100644
--- a/test/testerror.sh.in
+++ b/test/testerror.sh.in
@@ -64,6 +64,12 @@ TEST() {
# Skip the plugin for testing missing filter.
$ENVCMD $RUNSERIAL $TEST_ERR_BIN
) >$actual 2>$actual_err
+
+ # Check for core dump
+ if [ $? != 0 ]; then
+ nerrors=`expr $nerrors + 1`
+ fi
+
# Extract file name, line number, version and thread IDs because they may be different
sed -e 's/thread [0-9]*/thread (IDs)/' -e 's/: .*\.c /: (file name) /' \
-e 's/line [0-9]*/line (number)/' \